Loading...
Searching...
No Matches
AVIAMFSubmixElement Struct Reference
libavutil » Audio related » Immersive Audio Model and Formats » Mix Presentation

Submix element as defined in section 3.7 of IAMF. More...

`#include <libavutil/iamf.h>`

## Data Fields

const AVClass * | av_class
unsigned int | audio_element_id
| The id of the Audio Element this submix element references.
AVIAMFParamDefinition * | element_mix_config
| Information required required for applying any processing to the referenced and rendered Audio Element before being summed with other processed Audio Elements.
AVRational | default_mix_gain
| Default mix gain value to apply when there are no AVIAMFParamDefinition with element_mix_config's parameter_id available for a given audio frame.
enum AVIAMFHeadphonesMode | headphones_rendering_mode
| A value that indicates whether the referenced channel-based Audio Element shall be rendered to stereo loudspeakers or spatialized with a binaural renderer when played back on headphones.
AVDictionary * | annotations
| A dictionary of strings describing the submix in different languages.

## Detailed Description

Submix element as defined in section 3.7 of IAMF.

Note
  The struct should be allocated with av_iamf_submix_add_element() and its size is not a part of the public ABI.

Definition at line 449 of file iamf.h.

## Field Documentation

## av_class

const AVClass* AVIAMFSubmixElement::av_class

Definition at line 450 of file iamf.h.

## audio_element_id

unsigned int AVIAMFSubmixElement::audio_element_id

The id of the Audio Element this submix element references.

Definition at line 455 of file iamf.h.

## element_mix_config

AVIAMFParamDefinition* AVIAMFSubmixElement::element_mix_config

Information required required for applying any processing to the referenced and rendered Audio Element before being summed with other processed Audio Elements.

The type must be AV_IAMF_PARAMETER_DEFINITION_MIX_GAIN.

Definition at line 464 of file iamf.h.

## default_mix_gain

AVRational AVIAMFSubmixElement::default_mix_gain

Default mix gain value to apply when there are no AVIAMFParamDefinition with element_mix_config's parameter_id available for a given audio frame.

Definition at line 472 of file iamf.h.

## headphones_rendering_mode

enum AVIAMFHeadphonesMode AVIAMFSubmixElement::headphones_rendering_mode

A value that indicates whether the referenced channel-based Audio Element shall be rendered to stereo loudspeakers or spatialized with a binaural renderer when played back on headphones.

If the Audio Element is not of type AV_IAMF_AUDIO_ELEMENT_TYPE_CHANNEL, then this field is undefined.

Definition at line 481 of file iamf.h.

## annotations

AVDictionary* AVIAMFSubmixElement::annotations

A dictionary of strings describing the submix in different languages.

Must have the same amount of entries as the mix's annotations, stored in the same order, and with the same key strings.

key is a string conforming to BCP-47 that specifies the language for the string stored in value.

Definition at line 493 of file iamf.h.

The documentation for this struct was generated from the following file:

- libavutil/iamf.h